# Method: flashFloods.search

- [HTTP request](https://developers.google.com/flood-forecasting/rest/v1/flashFloods/search#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/flood-forecasting/rest/v1/flashFloods/search#body.request_body)
  - [JSON representation](https://developers.google.com/flood-forecasting/rest/v1/flashFloods/search#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/flood-forecasting/rest/v1/flashFloods/search#body.response_body)
  - [JSON representation](https://developers.google.com/flood-forecasting/rest/v1/flashFloods/search#body.SearchLatestFlashFloodsResponse.SCHEMA_REPRESENTATION)
- [FlashFloodEvent](https://developers.google.com/flood-forecasting/rest/v1/flashFloods/search#FlashFloodEvent)
  - [JSON representation](https://developers.google.com/flood-forecasting/rest/v1/flashFloods/search#FlashFloodEvent.SCHEMA_REPRESENTATION)

Search for flash floods. Returns the latest currently active or forecasted flash flood events. See <https://support.google.com/flood-hub/answer/16811681> for more details.

### HTTP request

`POST https://floodforecasting.googleapis.com/v1/flashFloods:search`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "countryCodes": [ string ], "pageSize": integer, "pageToken": string } ``` |

| Fields ||
|---|---|
| `countryCodes[]` | `string` Optional. The country codes to search for flash floods. In ISO 3166 alpha-2 format, e.g. "US". If not provided, flash floods for all countries will be returned. |
| `pageSize` | `integer` Optional. The maximum number of events to return. The service may return fewer than this value. If unspecified, at most 10,000 events will be returned. The maximum value is 10,000; values above 10,000 will be coerced to 10,000. |
| `pageToken` | `string` Optional. A page token, received from a previous `flashFloods.search` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `flashFloods.search` must match the call that provided the page token. |

### Response body

The response of \[flashFloods.search\]\[google.research.floodforecasting.v1.SearchLatestFlashFloods\].

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "flashFloodEvents": [ { object (`https://developers.google.com/flood-forecasting/rest/v1/flashFloods/search#FlashFloodEvent`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `flashFloodEvents[]` | ``object (`https://developers.google.com/flood-forecasting/rest/v1/flashFloods/search#FlashFloodEvent`)`` The flash flood events found based on the request criteria. |
| `nextPageToken` | `string` Optional. A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

## FlashFloodEvent

A flash flood event. It represents a timeframe that starts at `forecastIssueTime` and lasts for `forecastPeriodHours`, within which we expect a flash flood to occur.

| JSON representation |
|---|
| ``` { "forecastIssueTime": string, "forecastPeriodHours": integer, "affectedCountryCodes": [ string ], "likelyAffectedPolygonId": string, "highlyLikelyAffectedPolygonId": string, "eventPolygonId": string } ``` |

| Fields ||
|---|---|
| `forecastIssueTime` | `string` The time where this forecast was issued. Represented as ISO 8601, e.g., "2025-10-17T10:34:00Z". |
| `forecastPeriodHours` | `integer` How long the forecast is valid for (in hours). |
| `affectedCountryCodes[]` | `string` The countries predicted to be affected by the event, in ISO 3166 alpha-2 format, e.g. "US". |
| `likelyAffectedPolygonId` | `string` The polygon of the area that is likely to be affected by a flash flood. The polygon ID can be sent to \[serializedPolygons.get\]\[google.research.floodforecasting.v1.GetSerializedPolygon\] to retrieve the polygon of the area of the event. |
| `highlyLikelyAffectedPolygonId` | `string` The polygon of the area that is highly likely to be affected by a flash flood. The polygon ID can be sent to \[serializedPolygons.get\]\[google.research.floodforecasting.v1.GetSerializedPolygon\] to retrieve the polygon of the area of the event. |
| `eventPolygonId` | `string` The polygon ID of the border area of the event. This is the union of the likely and highly likely polygons. The polygon ID can be sent to \[serializedPolygons.get\]\[google.research.floodforecasting.v1.GetSerializedPolygon\] to retrieve the polygon of the border area of the event. |